summaryrefslogtreecommitdiff
path: root/media-video
diff options
context:
space:
mode:
authorAlexe-Cristia Moldovan <contact@crism.ro>2015-06-18 14:58:17 +0300
committerAlexe-Cristia Moldovan <contact@crism.ro>2015-06-18 14:58:17 +0300
commitd04ac5017dd68e7505b1c324cd37c1a809bc5f0e (patch)
treecb7992eee311b0aaf1edad0c59cbb26713d8646d /media-video
parentf3080181ac22c00831676b3e5f9b9a64a70aab32 (diff)
add simplescreenrecorder 0.3.3-r1
Diffstat (limited to 'media-video')
-rw-r--r--media-video/simplescreenrecorder/Manifest1
-rw-r--r--media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild111
2 files changed, 112 insertions, 0 deletions
diff --git a/media-video/simplescreenrecorder/Manifest b/media-video/simplescreenrecorder/Manifest
index ae6a4426..ac90d787 100644
--- a/media-video/simplescreenrecorder/Manifest
+++ b/media-video/simplescreenrecorder/Manifest
@@ -1,2 +1,3 @@
DIST 0.2.0.tar.gz 1177716 SHA256 e958e0afc6633a8ad3ba3e7712dec2015e2f348a43b1d70a657ea04dcd90cc56 SHA512 467fe9a437244033d29cab5ce40446873d5a7908a0cd9ec094dfc21c3a44ef4127ba441e51bbd0fa9ac99e524cbb615efb6fbf61176fbb1fe77342687c4dc925 WHIRLPOOL 20e5e61634ef307eafe840e1bd77d50fcee836739ae3c9cb59d7fb71c20edf049fc5492bb2a72e7f4d0f125ad12a1cb222f3bce2cc9d3e5a897c2a120ae435f0
DIST 0.2.1.tar.gz 1177723 SHA256 257e856c45209452bbda8c21a99e92248ae81dc6dafb02e08bf8d5f7bda4a452 SHA512 9c752cfe7b4dfe6afca2e13abdf5ddb20073c3878dbc08aa0cbfa1403c02eff66a34a55c75c0fff8fe719cadf5a29f32d115ec5c2af0b9b0a0f754c85e22a336 WHIRLPOOL e9fe0ea37bc607158c4ad371d649acef595a7678fdffc98ad18ae5d3753815bbe41bf7c7bf6fc60bc96a72e0b7b5d677cb035d6414a6ee9d325519e7f8af7bbe
+DIST 0.3.3.tar.gz 1571466 SHA256 cb75df563927d3fa74cb825c9040522332c49cd9745e02c8a64be0bff0aeac26 SHA512 d2541ccadd410067ddf043bc2cbaa863e4bac7c828b3591faf429aa3d1ba43cbfc789ccc21cd045cb54c6d2aa1381a94d8558c7a11a8e8c12850c885409a44e8 WHIRLPOOL 9dcdc460aeffb5d6117d2bc984e31bb59d706a37eebafcf379568dce6105b4039ea670931b18862105bf720411bb516e0081ee06c21275c5b2ab8738668e0181
diff --git a/media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild b/media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild
new file mode 100644
index 00000000..652628ca
--- /dev/null
+++ b/media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit flag-o-matic multilib-minimal
+
+if [[ ${PV} = 9999 ]]; then
+ inherit git-2
+fi
+
+DESCRIPTION="A Simple Screen Recorder"
+HOMEPAGE="http://www.maartenbaert.be/simplescreenrecorder"
+LICENSE="GPL-3"
+PKGNAME="ssr"
+S=${WORKDIR}/${PKGNAME}-${PV}
+if [[ ${PV} = 9999 ]]; then
+ EGIT_REPO_URI="git://github.com/MaartenBaert/${PKGNAME}.git
+ https://github.com/MaartenBaert/${PKGNAME}.git"
+ EGIT_BOOTSTRAP=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/MaartenBaert/${PKGNAME}/archive/${PV}.tar.gz"
+ KEYWORDS="amd64 x86"
+fi
+
+SLOT="0"
+IUSE="debug jack mp3 pulseaudio theora vorbis vpx x264 +qt4 qt5"
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+RDEPEND="
+ qt4? (
+ >=dev-qt/qtcore-4.8.0:4
+ >=dev-qt/qtgui-4.8.0:4
+ )
+ qt5? (
+ >=dev-qt/qtcore-5.1.0:5
+ >=dev-qt/qtgui-5.1.0:5
+ >=dev-qt/qtwidgets-5.1.0:5
+ >=dev-qt/qtx11extras-5.1.0:5
+ )
+ virtual/glu[${MULTILIB_USEDEP}]
+ media-libs/alsa-lib
+ media-libs/mesa[${MULTILIB_USEDEP}]
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXext
+ x11-libs/libXfixes[${MULTILIB_USEDEP}]
+ jack? ( media-sound/jack-audio-connection-kit )
+ pulseaudio? ( media-sound/pulseaudio )
+ || (
+ media-video/ffmpeg:0[vorbis?,vpx?,x264?,mp3?,theora?]
+ media-video/libav[vorbis?,vpx?,x264?,mp3?,theora?]
+ )
+ "
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+ if [[ ${PV} == "9999" ]]; then
+ elog
+ elog "This ebuild merges the latest revision available from upstream's"
+ elog "git repository, and might fail to compile or work properly once"
+ elog "merged."
+ elog
+ fi
+
+ if [[ ${ABI} == amd64 ]]; then
+ elog "You may want to add USE flag 'abi_x86_32' when running a 64bit system"
+ elog "When added 32bit GLInject libraries are also included. This is"
+ elog "required if you want to use OpenGL recording on 32bit applications."
+ elog
+ fi
+
+ if ( has_version media-video/ffmpeg[x264] || has_version media-video/libav[x264] ) && has_version media-libs/x264[10bit]; then
+ ewarn
+ ewarn "media-libs/x264 is currently built with 10bit useflag."
+ ewarn "This is known to prevent simplescreenrecorder from recording x264 videos"
+ ewarn "correctly. Please build media-libs/x264 without 10bit if you want to "
+ ewarn "record videos with x264."
+ ewarn
+ fi
+
+ # QT requires -fPIC. Compile fails otherwise.
+ # Recently removed from the default compile options upstream
+ # https://github.com/MaartenBaert/ssr/commit/25fe1743058f0d1f95f6fbb39014b6ac146b5180
+ append-flags -fPIC
+}
+
+multilib_src_configure() {
+
+ local myconf=(
+ --enable-dependency-tracking
+ $(multilib_native_use_enable debug assert)
+ $(multilib_native_use_with pulseaudio)
+ $(multilib_native_use_with jack)
+ $(multilib_native_use_with qt5)
+ )
+
+ # libav doesn't have AVFrame::channels
+ # https://github.com/MaartenBaert/ssr/issues/195#issuecomment-45646159
+ if has_version media-video/libav; then
+ myconf+=( --disable-ffmpeg-versions )
+ fi
+
+ multilib_is_native_abi || myconf+=( --disable-ssrprogram )
+
+ ECONF_SOURCE="${S}" \
+ econf \
+ ${myconf[@]}
+
+}